uniform sampler2D tex0;
uniform sampler2D tex1;
uniform float time;
 
void main() {
	float translucency = time;
	vec4 colour1 = texture2D(tex0, gl_TexCoord[0].st);
	vec4 colour2 = texture2D(tex1, gl_TexCoord[0].st);
	float translucency1 = float(1) - translucency;
	colour1 *= translucency1;
	colour2 *= translucency;
	gl_FragColor = colour1 + colour2;
}
